跳转到主要内容
POST
/
base
/
{baseId}
/
share
cURL
curl --request POST \
  --url https://app.teable.ai/api/base/%7BbaseId%7D/share \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"nodeId":"string","allowSave":true,"allowCopy":true,"password":"string"}'
{
  "baseId": "<string>",
  "shareId": "<string>",
  "password": true,
  "nodeId": "<string>",
  "allowSave": true,
  "allowCopy": true,
  "enabled": true
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

baseId
string
必填

请求体

application/json
nodeId
string
必填
allowSave
boolean | null
allowCopy
boolean | null
password
string | null
Minimum string length: 3

响应

201 - application/json

Returns the created base share

baseId
string
必填
shareId
string
必填
password
boolean
必填
nodeId
string
必填
allowSave
boolean | null
必填
allowCopy
boolean | null
必填
enabled
boolean
必填
Last modified on March 5, 2026